/* group-dashboard.css 
	Group dashboard / Concentrado view styles
	Jun 2026 by CuR
*/

.group-dashboard {
	display: grid;
	grid-template-columns: 1fr;
	min-width: 0;
	padding-block: 2rem;
}

.group-dashboard__row {
	display: flex;
	align-items: baseline;
	gap: .375rem;
	padding-block: .20rem;
	background-color: var(--clr-surface-content);
	--score-pading: .25em;
}

.group-dashboard__team {
	position: relative;
	height: 100%;
	width: clamp(8.5rem, 35vw, 15rem);

	position: sticky;
	left: 0;
	z-index: 1;
	background: inherit;

	display: flex;
	align-items: baseline;
	justify-content: space-between;
	gap: .25rem;
	padding-block: var(--score-pading);
	padding-right: .5rem;
}

.group-dashboard__teamname {
	display: inline-block;
	font-size: var(--fs-medium);
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.group-dashboard__score {
	position: relative;
	width: 3.5rem;
	display: flex;
	flex-direction: column;
	gap: .125rem;
}

.group-dashboard__score > * {
	display: inline-block;
	
	text-align: center;
	font-size: var(--fs-smaller);
	font-weight: var(--fw-bold);
	padding: var(--score-pading);
	border-radius: 4px;

	cursor: default;

	color: var(--color, var(--clr-text));
	background-color: var(--bg-color, inherit);
	border: 1px solid oklch(from var(--bg-color) calc(l * 0.86) c h);
}

.group-dashboard__score > *:hover {
	
}

/* || Team index */

.group-dashboard__index {
	font-size: var(--fs-smaller);
	font-weight: var(--fw-bolder);
	min-width: 4ch;
	text-align: center;
}

.group-dashboard__row:first-child [data-team-index]::before {
	position: absolute;
	content: attr(data-team-index);
	font-size: var(--fs-smaller);
	font-weight: var(--fw-bold);
	top: -1.125rem;
	left: 0;
	width: 100%;
	text-align: center;
}

.group-dashboard__row:first-child .group-dashboard__team::before {
	position: absolute;
	content: "-";
	top: -1.125rem;
	left: 0;
	width: 100%;
	color: var(--clr-surface-content);
	background-color: currentColor;
}


/* || Status code - colors */
.group-dashboard__wrapper {
	--programmed-bg: hsl(185 68% 62%);
	--empty-bg: hsl(0 0% 76%);
	--lose-bg: hsl(0 95% 70%);
	--won-bg: hsl(95 95% 76%);
	--tie-bg: hsl(58 100% 80%);
	--default-bg: hsl(32 100% 70%);
	--tie-won-bg: hsl(220 95% 78%);
	--tie-lose-bg: hsl(285 90% 78%);
	--admin-bg: hsl(323 100% 55%);
}

[data-theme="dark"] .group-dashboard__wrapper {
	--color: hsl(0 100% 100%);
	--programmed-bg: hsl(186 58% 46%);
	--won-bg: hsl(96 62% 48%);
	--lose-bg: hsl(0 72% 55%);
	--tie-bg: hsl(54 78% 46%);
	--tie-won-bg: hsl(220 70% 56%);
	--tie-lose-bg: hsl(284 62% 56%);
	--admin-bg: hsl(323 82% 48%);
}

/* || Status code */

/* diagonal */
.group-dashboard [data-status="nd"] {
	--color: var(--clr-text-subtle);
	--bg-color: var(--clr-text-subtle);
}

.group-dashboard [data-status="nd"]::before {
	content: "-";
}

/* programmed */
.group-dashboard [data-status="98"] {
	--color: var(--programmed-bg);
	--bg-color: hsl(from var(--programmed-bg) h s l / .12);
}

/* empty */
.group-dashboard [data-status="99"] {
	--bg-color: hsl(from var(--empty-bg) h s l / 0);
}

/* lose */
.group-dashboard [data-status="0"] {
	--bg-color: var(--lose-bg);
}

/* won */
.group-dashboard [data-status="1"] {
	--bg-color: var(--won-bg);
}

/* tie */
.group-dashboard [data-status="2"] {
	--bg-color: var(--tie-bg);
}

/* default */
.group-dashboard [data-status="3"] {
	--bg-color: var(--default-bg);
}

/* tie won */
.group-dashboard [data-status="4"] {
	--bg-color: var(--tie-won-bg);
}

/* tie lose */
.group-dashboard [data-status="5"] {
	--bg-color: var(--tie-lose-bg);
}

/* abandon */
.group-dashboard [data-status="6"] {
	--bg-color: var(--default-bg);
}

/* administrative default */
.group-dashboard [data-status="7"] {
	--bg-color: var(--admin-bg);
}


/* || Glossary - hack */


.glossary [data-status]::before {
	display: inline-block;
	content: '';
	width: .5rem;
	height: .5rem;
	border-radius: 50%;
	overflow: hidden;
	background: var(--color, transparent);
	margin-right: .5rem;
}

.glossary [data-status="98"] {
	--color: var(--programmed-bg);
}

.glossary [data-status="99"] {
	--color: var(--empty-bg);
}

.glossary [data-status="0"] {
	--color: var(--lose-bg)
}

.glossary [data-status="1"] {
	--color: var(--won-bg);
}

.glossary [data-status="2"] {
	--color: var(--tie-bg);
}

.glossary [data-status="3"] {
	--color: var(--default-bg);
}

.glossary [data-status="4"] {
	--color: var(--tie-won-bg);
}

.glossary [data-status="5"] {
	--color: var(--tie-lose-bg);
}

.glossary [data-status="6"] {
	--color: var(--default-bg);
}

.glossary [data-status="7"] {
	--color: var(--admin-bg);
}


/* || Hovers */

.group-dashboard__score {
	transition: filter .15s ease;
}

.group-dashboard__score:hover {
	filter: brightness(.90);
}

.group-dashboard__team::after {
	content: "";
	position: absolute;
	right: .25rem;
	top: .5em;
	transform: scale(.75);

	width: 0;
	height: 0;

	border-top: .4rem solid transparent;
	border-bottom: .4rem solid transparent;
	border-right: .5rem solid var(--clr-surface-contrast);

	opacity: 0;
	transition:
		opacity 180ms ease,
		transform 180ms ease;
}


.group-dashboard__row:has(.group-dashboard__score:hover) .group-dashboard__team::after,
.group-dashboard__team.is-highlighted::after {
	opacity: 1;
	transform: scale(1);
}

.group-dashboard__row:has(.group-dashboard__score:hover) .group-dashboard__team > *,
.group-dashboard__team.is-highlighted > * {
	color: var(--clr-text-accent);
}